Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.authenticator
Class SSLAuthenticator

    java.lang.Object
      |
      +--org.apache.catalina.valves.ValveBase
            |
            +--org.apache.catalina.authenticator.AuthenticatorBase
                  |
                  +--org.apache.catalina.authenticator.SSLAuthenticator

All Implemented Interfaces:
  Authenticator, Contained, Lifecycle, Valve

public final class SSLAuthenticator
extends AuthenticatorBase

An Authenticator and Valve implementation of authentication that utilizes SSL certificates to identify client users.

Version:
  $Revision: 1.9 $ $Date: 2001/08/01 03:04:04 $
Author:
  Craig R. McClanahan

Fields inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`algorithm, cache, context, debug, DEFAULT_ALGORITHM, digest, entropy, info, lifecycle, random, randomClass, SESSION_ID_BYTES, sm, sso, started`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container`

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`SSLAuthenticator()`

Method Summary
`boolean` | `authenticate(HttpRequest request, HttpResponse response, LoginConfig config)` Authenticate the user by checking for the existence of a certificate chain (which should have been made visible by an instance of `CertificatesValve`
`java.lang.String` | `getInfo()` Return descriptive information about this Valve implementation.
`void` | `start()` Initialize the database we will be using for client verification and certificate validation (if any).
`void` | `stop()` Finalize the database we used for client verification and certificate validation (if any).

Methods inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`accessControl, addLifecycleListener, associate, checkUserData, findConstraint, generateSessionId, getAlgorithm, getCache, getContainer, getDebug, getDigest, getEntropy, getRandom, getRandomClass, getSession, getSession, invoke, log, log, register, removeLifecycleListener, setAlgorithm, setCache, setContainer, setDebug, setEntropy, setRandomClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLAuthenticator

    public SSLAuthenticator()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.
  Overrides:
    `getInfo` in class `AuthenticatorBase`

### authenticate

    public boolean authenticate(HttpRequest request,
                                HttpResponse response,
                                LoginConfig config)
                         throws java.io.IOException

  Authenticate the user by checking for the existence of a certificate chain (which should have been made visible by an instance of `CertificatesValve
  Overrides:
    `authenticate` in class `AuthenticatorBase`
  `
  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `login` - Login configuration describing how authentication should be performed
  Throws:
    `java.io.IOException` - if an input/output error occurs

### start

    public void start()
               throws LifecycleException

  Initialize the database we will be using for client verification and certificate validation (if any).
  Overrides:
    `start` in class `AuthenticatorBase`
  Throws:
    `java.lang.IllegalStateException` - if this component has already been started
    `LifecycleException` - if this component detects a fatal error that prevents this component from being used

### stop

    public void stop()
              throws LifecycleException

  Finalize the database we used for client verification and certificate validation (if any).
  Overrides:
    `stop` in class `AuthenticatorBase`
  Throws:
    `java.lang.IllegalStateException` - if this component has already been stopped
    `LifecycleException` - if this component detects a fatal error that prevents this component from being used

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.